﻿<AML>
 <Item type="Method" id="D68CDD91FEBA4EE6BE5CF580BFA2EB46" action="add">
  <comments>Set default date in Form</comments>
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			off_gst_form_load
Created By/Company:		Chan
Creation Date:			2019-02-19
Description:
    Auto Bind Transaction Date.

Hooks:
	Type:	Itemtype :  acc_AccountPayable
                        acc_AccountsReceivable
                        acc_aging_payable_report
                        acc_aging_report
                        acc_bank_account_transfers
                        acc_BankStatements
                        acc_income_expense_header
                        acc_journal_header
                        sop_commercial_invoice
                        sop_po_out
                        sop_packing_list
                        sop_sale_invoice
                        sop_sale_order
                        sop_sale_order_Equipment
	Event:	Form Event(onLoad)
	
Revisions:
	Rev Date		Modified By			Description
	2019-02-19		Chan			Bind today date of Packing List in form load.
***************************************************************************** */
// debugger;
var parent_id = top.aras.getItemProperty(document.item, 'id');

var todayDate = new Date();
todayDate.setDate(todayDate.getDate());
var itemType = document.thisItem.getType().toString().toLowerCase();
switch (itemType) {

    case 'sop_sale_order':
        {
            var sop_order_date = document.thisItem.getProperty('sop_order_date');
            if (!sop_order_date) {
                myHandleItemChange("sop_order_date", dateFormat(todayDate));
            }
        }
        break;

    case 'sop_sale_invoice':
        {
            var sop_invoice_date = document.thisItem.getProperty('sop_invoice_date');
            if (!sop_invoice_date) {
                myHandleItemChange("sop_invoice_date", dateFormat(todayDate));
            }
        }
        break;

    case 'sop_commercial_invoice':
        {
            var sop_invoice_date = document.thisItem.getProperty('sop_invoice_date');
            if (!sop_invoice_date) {
                myHandleItemChange("sop_invoice_date", dateFormat(todayDate));
            }
        }
        break;

    case 'acc_accountsreceivable':
        {
            var acc_date = document.thisItem.getProperty('acc_date');
            if (!acc_date) {
                myHandleItemChange("acc_date", dateFormat(todayDate));
            }
        }
        break;
    case 'acc_accountpayable':
        {
            var acc_date = document.thisItem.getProperty('acc_date');
            if (!acc_date) {
                myHandleItemChange("acc_date", dateFormat(todayDate));
            }
        }
        break;
    case 'acc_income_expense_header':
        {
            var acc_payment_date = document.thisItem.getProperty('acc_payment_date');
            if (!acc_payment_date) {
                myHandleItemChange("acc_payment_date", dateFormat(todayDate));
            }
        }
        break;
    case 'acc_journal_header':
        {
            var acc_date = document.thisItem.getProperty('acc_date');
            if (!acc_date) {
                myHandleItemChange("acc_date", dateFormat(todayDate));
            }
        }
        break;
    case 'acc_bank_account_transfers':
        {
            var acc_transfer_date = document.thisItem.getProperty('acc_transfer_date');
            if (!acc_transfer_date) {
                myHandleItemChange("acc_transfer_date", dateFormat(todayDate));
            }
        }
        break;
    case 'sop_po_out':
        {
            var pop_po_date = document.thisItem.getProperty('pop_po_date');
            if (!pop_po_date) {
                myHandleItemChange("pop_po_date", dateFormat(todayDate));
            }
            myHandleItemChange("classification", "EQUIPMENT");
        }
        break;
    case 'acc_aging_report':
        {
            var acc_statement_date = document.thisItem.getProperty('acc_statement_date');
            if (!acc_statement_date) {
                myHandleItemChange("acc_statement_date", dateFormat(todayDate));
            }

        }
        break;
    case 'acc_aging_payable_report':
        {
            var acc_statement_date = document.thisItem.getProperty('acc_statement_date');
            if (!acc_statement_date) {
                myHandleItemChange("acc_statement_date", dateFormat(todayDate));
            }

        }
        break;
    case 'acc_bankstatements':
        {
            var acc_statementdate = document.thisItem.getProperty('acc_statementdate');
            if (!acc_statementdate) {
                myHandleItemChange("acc_statementdate", dateFormat(todayDate));
            }

        }
        break;

        //2019-02-19
    case 'sop_packing_list':
        {
            var sop_date = document.thisItem.getProperty('sop_date');
            if (!sop_date) {
                myHandleItemChange("sop_date", dateFormat(todayDate));
            }

        }
        break;

    case 'sop_sale_order_equipment':
        {
            var sop_order_date = document.thisItem.getProperty('sop_order_date');
            if (!sop_order_date) {
                myHandleItemChange("sop_order_date", dateFormat(todayDate));
            }

        }
        break;

    default:
        // do nothing
}

function dateFormat(d) {
    var dateString = d.getFullYear() + "-";
    dateString += pad(d.getMonth() + 1) + "-";
    dateString += pad(d.getDate()) + "T";
    dateString += pad(d.getHours()) + ":";
    dateString += pad(d.getMinutes()) + ":";
    dateString += pad(d.getSeconds());
    return dateString;
}

function pad(x) {
    return (x < 10) ? "0" + x : "" + x;
}

function myHandleItemChange(property, value) {
    if (top.instance.document) {
        top.instance.handleItemChange(property, value);
    } else {
        top.frames[1].handleItemChange(property, value);
    }
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>off_gst_form_load</name>
 </Item>
</AML>